/*
 * objeto.h
 *
 *  Created on: Jun 22, 2010
 *      Author: mateus
 */

#ifndef OBJETO_H_
#define OBJETO_H_

#include <set>
#include "../cor.h"
#include "../frame.h"
using namespace std;

class Objeto{
public:
	Objeto(ListaDeFrames frames, Cor cor = Cor());
	~Objeto();
	void desenhar();
	Objeto* operator<<(Objeto*);
protected:
	virtual void _desenhar() = 0;
private:
	Cor cor;
	void ajustar();
	set<Objeto*> filhos;
	ListaDeFrames frames;
	ListaDeFrames::iterator atual;
};

#endif /* OBJETO_H_ */
